/*
 *  Copyright (C) 2004 Hiroyuki Ikezoe
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __PRIME_IM_CONTEXT_H__
#define __PRIME_IM_CONTEXT_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

GType prime_type_im_context;

#define PRIME_TYPE_IM_CONTEXT             prime_type_im_context
#define PRIME_IM_CONTEXT(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PRIME_TYPE_IM_CONTEXT, PrimeIMContext))
#define PRIME_IM_CONTEXT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PRIME_TYPE_IM_CONTEXT PrimeIMContextClass))
#define PRIME_IS_IM_CONTEXT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PRIME_TYPE_IM_CONTEXT))
#define PRIME_IS_IM_CONTEXT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PRIME_TYPE_IM_CONTEXT))
#define PRIME_IM_CONTEXT_GET_CLASS(obj)	 (G_TYPE_INSTANCE_GET_CLASS ((obj), PRIME_TYPE_IM_CONTEXT, PrimeIMContextClass))

typedef struct _PrimeIMContext         PrimeIMContext;
typedef struct _PrimeIMContextClass    PrimeIMContextClass;

struct _PrimeIMContext
{
	GtkIMContext parent;
};

struct _PrimeIMContextClass
{
	GtkIMContextClass parent_class;
};

void          prime_im_context_register_type (GTypeModule *type_module);

GtkIMContext *prime_im_context_new           (void);

void          prime_im_context_shutdown      (void);


G_END_DECLS

#endif /* __PRIME_IM_CONTEXT_H__ */
